System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner

This class can be used as the base class for designers for run-time controls that have a string Text property.

Extends design-time behavior for Web server controls that have a Text property that is persisted as inner text.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  This class overrides this method to ensure that a non-empty Text property value is available when the control is rendered for display on the design surface. This makes sure that the class has a meaningful representation. This method sets any empty Text property of the control to the property of the control.

  Gets the markup that is used to represent the associated control at design time.

  The markup that is used to represent the control at design time.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added.

  Gets the markup to persist for the inner tags of the control.

  The markup for the tags of the control.

  1.0.5000.0
- Method
  System.Void `` To be added.

  Initializes the designer with the specified component.

  An object that implements for this designer to design. 1.0.5000.0